"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeSecret_1 = require("../model/operations/DescribeSecret");
var DescribeSecretCommand = /** @class */ (function () {
    function DescribeSecretCommand(input) {
        this.input = input;
        this.model = DescribeSecret_1.DescribeSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeSecretCommand;
}());
exports.DescribeSecretCommand = DescribeSecretCommand;
//# sourceMappingURL=DescribeSecretCommand.js.map