"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResourcePolicy_1 = require("../model/operations/GetResourcePolicy");
var GetResourcePolicyCommand = /** @class */ (function () {
    function GetResourcePolicyCommand(input) {
        this.input = input;
        this.model = GetResourcePolicy_1.GetResourcePolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResourcePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResourcePolicyCommand;
}());
exports.GetResourcePolicyCommand = GetResourcePolicyCommand;
//# sourceMappingURL=GetResourcePolicyCommand.js.map