"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreSecret_1 = require("../model/operations/RestoreSecret");
var RestoreSecretCommand = /** @class */ (function () {
    function RestoreSecretCommand(input) {
        this.input = input;
        this.model = RestoreSecret_1.RestoreSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreSecretCommand;
}());
exports.RestoreSecretCommand = RestoreSecretCommand;
//# sourceMappingURL=RestoreSecretCommand.js.map