"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RotateSecret_1 = require("../model/operations/RotateSecret");
var RotateSecretCommand = /** @class */ (function () {
    function RotateSecretCommand(input) {
        this.input = input;
        this.model = RotateSecret_1.RotateSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RotateSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RotateSecretCommand;
}());
exports.RotateSecretCommand = RotateSecretCommand;
//# sourceMappingURL=RotateSecretCommand.js.map