"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateSecretInput_1 = require("../shapes/CreateSecretInput");
var CreateSecretOutput_1 = require("../shapes/CreateSecretOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var EncryptionFailure_1 = require("../shapes/EncryptionFailure");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var MalformedPolicyDocumentException_1 = require("../shapes/MalformedPolicyDocumentException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var PreconditionNotMetException_1 = require("../shapes/PreconditionNotMetException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateSecretInput_1.CreateSecretInput
    },
    output: {
        shape: CreateSecretOutput_1.CreateSecretOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: EncryptionFailure_1.EncryptionFailure
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: MalformedPolicyDocumentException_1.MalformedPolicyDocumentException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: PreconditionNotMetException_1.PreconditionNotMetException
        }
    ]
};
//# sourceMappingURL=CreateSecret.js.map