"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SecretsManagerClient_1 = require("../../SecretsManagerClient");
var ListSecretsCommand_1 = require("../../commands/ListSecretsCommand");
var DescribeSecretCommand_1 = require("../../commands/DescribeSecretCommand");
describe("@aws-sdk/client-secrets-manager-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListSecrets should succeed when given correct input", function (done) {
        var client = new SecretsManagerClient_1.SecretsManagerClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listSecrets = new ListSecretsCommand_1.ListSecretsCommand({});
        client
            .send(listSecrets)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("DescribeSecret should fail when given bad input", function (done) {
        var client = new SecretsManagerClient_1.SecretsManagerClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeSecret = new DescribeSecretCommand_1.DescribeSecretCommand({
            SecretId: "fake-secret-id"
        });
        client
            .send(describeSecret)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map